=== formula/Makefile ===
# Makefile for formula
CC = gcc
QTINCLUDE = -I$(QTDIR)/include
CCFLAGS = -c -O2 -fno-rtti -fno-exceptions
LIBS = 
MOC = $(QTDIR)/bin/moc

OBJECTS = box.o kformula.o kformulaedit.o matrixbox.o MatrixDialog.o

formula: $(OBJECTS)

.cpp.o:
	$(CC) $(CCFLAGS) $(QTINCLUDE) $<

MOCS = kformulaedit.moc MatrixDialog.moc

#MOCS:
kformulaedit.o: kformulaedit.moc
kformulaedit.moc: kformulaedit.H
	$(MOC) kformulaedit.H -o kformulaedit.moc

MatrixDialog.o: MatrixDialog.moc
MatrixDialog.moc: MatrixDialog.H
	$(MOC) MatrixDialog.H -o MatrixDialog.moc

depend:
	makedepend *.cpp >& /dev/null
	perl -pi -e 's/\.c\.o/\.o/' Makefile
	perl -pi -e 's/\/u[Ss]r[a-zA-Z0-9\+\-\/\.\_]*//' Makefile
	perl -pi -e 's/\/u[Ss]r[a-zA-Z0-9\+\-\/\.\_]*//' Makefile
	perl -pi -e 's/\/u[Ss]r[a-zA-Z0-9\+\-\/\.\_]*//' Makefile
	perl -pi -e 's/\/u[Ss]r[a-zA-Z0-9\+\-\/\.\_]*//' Makefile
	perl -pi -e 's/\/u[Ss]r[a-zA-Z0-9\+\-\/\.\_]*//' Makefile
	perl -pi -e 's/\/u[Ss]r[a-zA-Z0-9\+\-\/\.\_]*//' Makefile
	perl -pi -e 's/\/u[Ss]r[a-zA-Z0-9\+\-\/\.\_]*//' Makefile
	perl -pi -e 's/\/u[Ss]r[a-zA-Z0-9\+\-\/\.\_]*//' Makefile
	perl -pi -e 's/^[a-zA-Z].*\.o\:\s*$$//' Makefile

clean:
	rm -f $(MOCS) $(OBJECTS) *~

# DO NOT DELETE


box.o: box.H kformula.H 
kformula.o: box.H kformula.H matrixbox.H 
kformulaedit.o: box.H kformulaedit.H kformulaedit.moc kformula.H
kformulaedit.o: MatrixDialog.H 
matrixbox.o: box.H kformula.H matrixbox.H 
MatrixDialog.o: MatrixDialog.H MatrixDialog.moc
