## kseg 0.4

=== Makefile ===
# Makefile for KSEG
CC = g++
QTINCLUDE = -I$(QTDIR)/include
CCFLAGS = -c -Wall -O2 -fomit-frame-pointer -ffast-math
LIBS = -lm -L$(QTDIR)/lib -lqt -lz
MOC = $(QTDIR)/bin/moc
LUPDATE = $(QTDIR)/bin/lupdate
LRELEASE = $(QTDIR)/bin/lrelease


GEOMETRY_OBJECTS = G_point.o G_line.o G_segment.o G_ray.o G_circle.o G_arc.o \
	G_locus.o G_arcSector.o G_arcSegment.o G_polygon.o \
	G_circleInterior.o

DEFINITION_OBJECTS = G_object.o G_pointObject.o G_lineObject.o G_segmentObject.o \
	G_rayObject.o G_circleObject.o G_arcObject.o G_locusObject.o \
	G_pointLocus.o G_measureObject.o G_calculateObject.o \
	G_circleInteriorObject.o G_arcSegmentObject.o G_arcSectorObject.o \
	G_polygonObject.o

UI_OBJECTS = KSegView.o KSegWindow.o KSegCalculateEditor.o \
	KSegConstructionList.o KSegConstructionListNamer.o \
	KSegRecursionDialog.o KSegPreferencesDialog.o KSegSelectionGroupDialog.o

MAIN_OBJECTS = main.o G_drawstyle.o KSegDocument.o G_ref.o G_refs.o G_label.o \
	menu.o cans.o G_undo.o G_undoStack.o KSegConstruction.o \
	G_refSearcher.o BuildReverse.o KSegProperties.o KSegMenuMaintainer.o \
	KSegMenus.o

OBJECTS = $(GEOMETRY_OBJECTS) $(DEFINITION_OBJECTS) $(UI_OBJECTS) $(MAIN_OBJECTS)

FORMULA_OBJECTS = formula/box.o formula/kformulaedit.o formula/kformula.o \
	formula/matrixbox.o formula/MatrixDialog.o

all: formula-make kseg

kseg: $(OBJECTS) $(FORMULA_OBJECTS)
	$(CC) $(FORMULA_OBJECTS) $(OBJECTS) $(LIBS) -o kseg

formula-make:
	cd formula && make

trans:
	$(LUPDATE) kseg.pro
	$(LRELEASE) kseg.pro

.cpp.o:
	$(CC) $(CCFLAGS) $(QTINCLUDE) $<

#so it doesn't compile too slowly, optimization is set to 1
#disabled since most versions of gcc seem to be able to handle it
#BuildReverse.o: BuildReverse.cpp
#	$(CC) $(CCFLAGS) $(QTINCLUDE) -O0 $<

MOCS = *.moc

#MOCS:
KSegView.o: KSegView.moc
KSegView.moc: KSegView.H
	$(MOC) KSegView.H -o KSegView.moc

KSegDocument.o: KSegDocument.moc
KSegDocument.moc: KSegDocument.H
	$(MOC) KSegDocument.H -o KSegDocument.moc

KSegConstruction.o: KSegConstruction.moc
KSegConstruction.moc: KSegConstruction.H
	$(MOC) KSegConstruction.H -o KSegConstruction.moc

KSegConstructionList.o: KSegConstructionList.moc
KSegConstructionList.moc: KSegConstructionList.H
	$(MOC) KSegConstructionList.H -o KSegConstructionList.moc

KSegWindow.o: KSegWindow.moc
KSegWindow.moc: KSegWindow.H
	$(MOC) KSegWindow.H -o KSegWindow.moc

KSegRecursionDialog.o: KSegRecursionDialog.moc
KSegRecursionDialog.moc: KSegRecursionDialog.H
	$(MOC) KSegRecursionDialog.H -o KSegRecursionDialog.moc

KSegPreferencesDialog.o: KSegPreferencesDialog.moc
KSegPreferencesDialog.moc: KSegPreferencesDialog.H
	$(MOC) KSegPreferencesDialog.H -o KSegPreferencesDialog.moc

KSegCalculateEditor.o: KSegCalculateEditor.moc
KSegCalculateEditor.moc: KSegCalculateEditor.H
	$(MOC) KSegCalculateEditor.H -o KSegCalculateEditor.moc

KSegMenuMaintainer.o: KSegMenuMaintainer.moc
KSegMenuMaintainer.moc: KSegMenuMaintainer.H
	$(MOC) KSegMenuMaintainer.H -o KSegMenuMaintainer.moc

KSegSelectionGroupDialog.o: KSegSelectionGroupDialog.moc
KSegSelectionGroupDialog.moc: KSegSelectionGroupDialog.H
	$(MOC) KSegSelectionGroupDialog.H -o KSegSelectionGroupDialog.moc

#do a makedepend and remove all the external dependencies from the makefile
#works on my system, no one else should need to do it.
depend:
	makedepend *.cpp >& /dev/null
	perl -pi -e 's/\.c\.o/\.o/' Makefile
	perl -pi -e 's/\/u[Ss]r[a-zA-Z0-9\+\-\/\.\_]*//' Makefile
	perl -pi -e 's/\/u[Ss]r[a-zA-Z0-9\+\-\/\.\_]*//' Makefile
	perl -pi -e 's/\/u[Ss]r[a-zA-Z0-9\+\-\/\.\_]*//' Makefile
	perl -pi -e 's/\/u[Ss]r[a-zA-Z0-9\+\-\/\.\_]*//' Makefile
	perl -pi -e 's/\/u[Ss]r[a-zA-Z0-9\+\-\/\.\_]*//' Makefile
	perl -pi -e 's/\/u[Ss]r[a-zA-Z0-9\+\-\/\.\_]*//' Makefile
	perl -pi -e 's/\/u[Ss]r[a-zA-Z0-9\+\-\/\.\_]*//' Makefile
	perl -pi -e 's/\/u[Ss]r[a-zA-Z0-9\+\-\/\.\_]*//' Makefile
	perl -pi -e 's/^[a-zA-Z].*\.o\:\s*$$//' Makefile
	cd formula && make depend

clean:
	rm -f $(MOCS) $(OBJECTS) kseg *~ core gmon.out
	cd formula && make clean

#for me--makes a distribution file.
DISTDIR = kseg-0.4

dist:   trans
	mkdir $(DISTDIR)
	cp *.cpp *.H Makefile *.ts *.qm README VERSION AUTHORS COPYING $(DISTDIR)
	cp kseg.lsm kseg.pro README.translators seg.plan INSTALL INSTALL_PT $(DISTDIR)
	cp ChangeLog *.html $(DISTDIR)
	mkdir $(DISTDIR)/formula
	cp formula/*.cpp formula/*.H formula/Makefile $(DISTDIR)/formula
	mkdir $(DISTDIR)/pics
	cp pics/*.xpm $(DISTDIR)/pics
	mkdir $(DISTDIR)/examples
	cp examples/*.sec examples/*.seg $(DISTDIR)/examples
	tar cvfz $(DISTDIR).tar.gz $(DISTDIR)
	rm -r $(DISTDIR)

# DO NOT DELETE


BuildReverse.o: defs.H formula/box.H formula/kformula.H G_arc.H
BuildReverse.o: G_arcSector.H G_arcSegment.H G_circle.H G_circleInterior.H
BuildReverse.o: G_geometry.H G_label.H G_line.H G_locus.H G_matrix.H
BuildReverse.o: G_object.H G_point.H G_polygon.H G_ray.H G_ref.H G_refs.H
BuildReverse.o: G_segment.H my_hash_map.H my_hash_set.H
cans.o: defs.H formula/box.H formula/kformula.H G_drawstyle.H G_geometry.H
cans.o: G_label.H G_point.H G_ref.H G_refSearcher.H G_refs.H G_undo.H
cans.o: G_undoStack.H KSegConstruction.H KSegDocument.H
cans.o: KSegSelectionGroupDialog.H my_hash_map.H my_hash_set.H
G_arc.o: defs.H formula/box.H formula/kformula.H G_arc.H G_arcSector.H
G_arc.o: G_arcSegment.H G_circle.H G_circleInterior.H G_drawstyle.H
G_arc.o: G_geometry.H G_label.H G_line.H G_locus.H G_matrix.H G_object.H
G_arc.o: G_point.H G_polygon.H G_ray.H G_ref.H G_refs.H G_segment.H
G_arc.o: KSegView.H my_hash_map.H my_hash_set.H 
G_arcObject.o: defs.H formula/box.H formula/kformula.H G_arc.H G_arcSector.H
G_arcObject.o: G_arcSegment.H G_circle.H G_circleInterior.H G_geometry.H
G_arcObject.o: G_label.H G_line.H G_locus.H G_object.H G_point.H G_polygon.H
G_arcObject.o: G_ray.H G_ref.H G_refs.H G_segment.H my_hash_set.H
G_arcSector.o: defs.H formula/box.H formula/kformula.H G_arc.H G_arcSector.H
G_arcSector.o: G_arcSegment.H G_circle.H G_circleInterior.H G_drawstyle.H
G_arcSector.o: G_geometry.H G_label.H G_line.H G_locus.H G_matrix.H
G_arcSector.o: G_object.H G_point.H G_polygon.H G_ray.H G_ref.H G_refs.H
G_arcSector.o: G_segment.H KSegView.H my_hash_map.H my_hash_set.H
G_arcSectorObject.o: defs.H formula/box.H formula/kformula.H G_arc.H
G_arcSectorObject.o: G_arcSector.H G_arcSegment.H G_circle.H
G_arcSectorObject.o: G_circleInterior.H G_geometry.H G_label.H G_line.H
G_arcSectorObject.o: G_locus.H G_object.H G_point.H G_polygon.H G_ray.H
G_arcSectorObject.o: G_ref.H G_refs.H G_segment.H my_hash_set.H
G_arcSegment.o: defs.H formula/box.H formula/kformula.H G_arc.H
G_arcSegment.o: G_arcSector.H G_arcSegment.H G_circle.H G_circleInterior.H
G_arcSegment.o: G_drawstyle.H G_geometry.H G_label.H G_line.H G_locus.H
G_arcSegment.o: G_matrix.H G_object.H G_point.H G_polygon.H G_ray.H G_ref.H
G_arcSegment.o: G_refs.H G_segment.H KSegView.H my_hash_map.H my_hash_set.H
G_arcSegmentObject.o: defs.H formula/box.H formula/kformula.H G_arc.H
G_arcSegmentObject.o: G_arcSector.H G_arcSegment.H G_circle.H
G_arcSegmentObject.o: G_circleInterior.H G_geometry.H G_label.H G_line.H
G_arcSegmentObject.o: G_locus.H G_object.H G_point.H G_polygon.H G_ray.H
G_arcSegmentObject.o: G_ref.H G_refs.H G_segment.H my_hash_set.H
G_calculateObject.o: defs.H formula/box.H formula/kformula.H G_arc.H
G_calculateObject.o: G_arcSector.H G_arcSegment.H G_circle.H
G_calculateObject.o: G_circleInterior.H G_drawstyle.H G_geometry.H G_label.H
G_calculateObject.o: G_line.H G_locus.H G_object.H G_point.H G_polygon.H
G_calculateObject.o: G_ray.H G_ref.H G_refs.H G_segment.H G_undo.H
G_calculateObject.o: G_undoStack.H KSegDocument.H KSegSelectionGroupDialog.H
G_calculateObject.o: my_hash_map.H my_hash_set.H 
G_circle.o: defs.H formula/box.H formula/kformula.H G_arc.H G_arcSector.H
G_circle.o: G_arcSegment.H G_circle.H G_circleInterior.H G_drawstyle.H
G_circle.o: G_geometry.H G_label.H G_line.H G_locus.H G_matrix.H G_object.H
G_circle.o: G_point.H G_polygon.H G_ray.H G_ref.H G_refs.H G_segment.H
G_circle.o: KSegView.H my_hash_map.H my_hash_set.H 
G_circleInterior.o: defs.H formula/box.H formula/kformula.H G_arc.H
G_circleInterior.o: G_arcSector.H G_arcSegment.H G_circle.H
G_circleInterior.o: G_circleInterior.H G_drawstyle.H G_geometry.H G_label.H
G_circleInterior.o: G_line.H G_locus.H G_matrix.H G_object.H G_point.H
G_circleInterior.o: G_polygon.H G_ray.H G_ref.H G_refs.H G_segment.H
G_circleInterior.o: KSegView.H my_hash_map.H my_hash_set.H
G_circleInteriorObject.o: defs.H formula/box.H formula/kformula.H G_arc.H
G_circleInteriorObject.o: G_arcSector.H G_arcSegment.H G_circle.H
G_circleInteriorObject.o: G_circleInterior.H G_geometry.H G_label.H G_line.H
G_circleInteriorObject.o: G_locus.H G_object.H G_point.H G_polygon.H G_ray.H
G_circleInteriorObject.o: G_ref.H G_refs.H G_segment.H my_hash_set.H
G_circleObject.o: defs.H formula/box.H formula/kformula.H G_arc.H
G_circleObject.o: G_arcSector.H G_arcSegment.H G_circle.H G_circleInterior.H
G_circleObject.o: G_geometry.H G_label.H G_line.H G_locus.H G_object.H
G_circleObject.o: G_point.H G_polygon.H G_ray.H G_ref.H G_refs.H G_segment.H
G_circleObject.o: my_hash_set.H  
G_drawstyle.o: defs.H formula/box.H formula/kformula.H G_drawstyle.H
G_drawstyle.o: G_geometry.H G_label.H G_point.H G_ref.H G_refs.H
G_drawstyle.o: KSegProperties.H my_hash_map.H my_hash_set.H
G_label.o: defs.H formula/box.H formula/kformula.H G_arc.H G_arcSector.H
G_label.o: G_arcSegment.H G_circle.H G_circleInterior.H G_drawstyle.H
G_label.o: G_geometry.H G_label.H G_line.H G_locus.H G_object.H G_point.H
G_label.o: G_polygon.H G_ray.H G_ref.H G_refs.H G_segment.H my_hash_set.H
G_line.o: defs.H formula/box.H formula/kformula.H G_arc.H G_arcSector.H
G_line.o: G_arcSegment.H G_circle.H G_circleInterior.H G_drawstyle.H
G_line.o: G_geometry.H G_label.H G_line.H G_locus.H G_matrix.H G_object.H
G_line.o: G_point.H G_polygon.H G_ray.H G_ref.H G_refs.H G_segment.H
G_line.o: KSegView.H my_hash_map.H my_hash_set.H 
G_lineObject.o: defs.H formula/box.H formula/kformula.H G_arc.H
G_lineObject.o: G_arcSector.H G_arcSegment.H G_circle.H G_circleInterior.H
G_lineObject.o: G_geometry.H G_label.H G_line.H G_locus.H G_object.H
G_lineObject.o: G_point.H G_polygon.H G_ray.H G_ref.H G_refs.H G_segment.H
G_lineObject.o: my_hash_set.H  
G_locus.o: defs.H G_geometry.H G_locus.H G_point.H 
G_locusObject.o: defs.H formula/box.H formula/kformula.H G_arc.H
G_locusObject.o: G_arcSector.H G_arcSegment.H G_circle.H G_circleInterior.H
G_locusObject.o: G_geometry.H G_label.H G_line.H G_locus.H G_object.H
G_locusObject.o: G_point.H G_polygon.H G_ray.H G_ref.H G_refs.H G_segment.H
G_locusObject.o: my_hash_set.H  
G_measureObject.o: defs.H formula/box.H formula/kformula.H G_arc.H
G_measureObject.o: G_arcSector.H G_arcSegment.H G_circle.H
G_measureObject.o: G_circleInterior.H G_drawstyle.H G_geometry.H G_label.H
G_measureObject.o: G_line.H G_locus.H G_object.H G_point.H G_polygon.H
G_measureObject.o: G_ray.H G_ref.H G_refs.H G_segment.H G_undo.H
G_measureObject.o: G_undoStack.H KSegDocument.H KSegSelectionGroupDialog.H
G_measureObject.o: my_hash_map.H my_hash_set.H 
G_object.o: defs.H formula/box.H formula/kformula.H G_arc.H G_arcSector.H
G_object.o: G_arcSegment.H G_circle.H G_circleInterior.H G_geometry.H
G_object.o: G_label.H G_line.H G_locus.H G_object.H G_point.H G_polygon.H
G_object.o: G_ray.H G_ref.H G_refs.H G_segment.H my_hash_set.H
G_point.o: defs.H formula/box.H formula/kformula.H G_arc.H G_arcSector.H
G_point.o: G_arcSegment.H G_circle.H G_circleInterior.H G_drawstyle.H
G_point.o: G_geometry.H G_label.H G_line.H G_locus.H G_matrix.H G_object.H
G_point.o: G_point.H G_polygon.H G_ray.H G_ref.H G_refs.H G_segment.H
G_point.o: KSegView.H my_hash_map.H my_hash_set.H 
G_pointLocus.o: defs.H formula/box.H formula/kformula.H G_arc.H
G_pointLocus.o: G_arcSector.H G_arcSegment.H G_circle.H G_circleInterior.H
G_pointLocus.o: G_geometry.H G_label.H G_line.H G_locus.H G_object.H
G_pointLocus.o: G_point.H G_polygon.H G_ray.H G_ref.H G_refs.H G_segment.H
