=== formula/Makefile ===
--- 
+++ 
@@ -1,7 +1,7 @@
 # Makefile for formula
-CC = gcc
+CC = g++
 QTINCLUDE = -I$(QTDIR)/include
-CCFLAGS = -c -O2 -fno-rtti -fno-exceptions
+CCFLAGS = -c -Wall -O2 -fomit-frame-pointer -ffast-math
 LIBS = 
 MOC = $(QTDIR)/bin/moc
