## kseg 0.4.0.3

=== debian/changelog ===
kseg (0.4.0.3-3) unstable; urgency=low

  * Move source patches from debian patch into new quilt patches:
    - patches/compatibility-headers.patch
    - patches/main-set-languagedir.patch
  
  * rules:
  * control: Drop cdbs from build-dep.  Rewrite using dh; requires
    debhelper 7.4.12 for the qmake build system.  
  
  * control: Update Standards-Version to 3.8.4.0.  Move homepage URL from
    description to Homepage field.  Add ${misc:Depends}.
  
  * kseg.desktop: Add category Education.
  * kseg.menu: Change section to Applications/Science/Mathematics (thanks,
    Petter Reinholdtsen).  Closes: #567623.
  
  * kseg.xpm: Reduce to 32x32 pixels.

 -- Steve M. Robbins <smr@debian.org>  Sat, 30 Jan 2010 22:53:48 -0600

kseg (0.4.0.3-2) unstable; urgency=low

  * Install icon and desktop file (thanks, Vassilis Pandis).  Closes:
    #375777.
  
  * debian/kseg.menu: include icon path.

 -- Steve M. Robbins <smr@debian.org>  Sun,  2 Jul 2006 12:34:19 -0400

kseg (0.4.0.3-1) unstable; urgency=low

  * New upstream (v0.403).
  
  * debian/rules: Rewrite using cdbs.

 -- Steve M. Robbins <smr@debian.org>  Sat,  1 Jul 2006 23:51:55 -0400

kseg (0.4-2) unstable; urgency=low

  * G_pointLocus.cpp: Increase the number of sample points.  
  Closes: #297657.  Patch from upstream author in bug report.  

  * debian/kseg.menu: Add quoting.

 -- Steve M. Robbins <smr@debian.org>  Sun,  4 Sep 2005 11:28:47 -0400

kseg (0.4-1) unstable; urgency=low

  * New upstream.
  
  * G_pointLocus.cpp: Use static_cast to resolve ambiguous call to log().
    Closes: #196671.
  
  * main.cpp: Set default LanguageDir to /usr/share/kseg.  
  * Install kseg_help and *.qm files in there.
    Closes: #192830.

 -- Steve M. Robbins <smr@debian.org>  Sun,  8 Jun 2003 18:35:09 -0400

kseg (0.3.5.1-2) unstable; urgency=low

  * Build-depend on libqt3-compat-headers, to obtain qlist.h.
    Closes: #181544.

 -- Steve M. Robbins <smr@debian.org>  Sat, 22 Feb 2003 13:01:01 -0500

kseg (0.3.5.1-1) unstable; urgency=low

  * New upstream.
  
  * Honour DEB_BUILD_OPTIONS to comply with policy 3.5.8.

 -- Steve M. Robbins <smr@debian.org>  Fri,  7 Feb 2003 21:58:00 -0500

kseg (0.3-3) unstable; urgency=low

  * Fix spelling mistake in description.  Closes: #124854.
  * Patch to build under GCC 3 or 2.  Mostly consists of adding 'std'; add
    files hash_map and hash_set.  Closes: #134158.
  
 -- Steve M. Robbins <smr@debian.org>  Tue,  5 Mar 2002 18:33:11 -0500

kseg (0.3-2) unstable; urgency=low

  * debian/rules: Turn off optimizer for alpha, due to compiler bugs.
    Closes: #121688.

 -- Steve M. Robbins <smr@debian.org>  Sat,  1 Dec 2001 16:07:22 -0500

kseg (0.3-1) unstable; urgency=low

  * Initial release.  Closes: 120591.

 -- Steve M. Robbins <smr@debian.org>  Wed, 21 Nov 2001 15:11:20 -0500
