=== debian/control ===
Source: kseg
Homepage: http://www.mit.edu/~ibaran/kseg.html
Section: math
Priority: optional
Maintainer: Debian Science Team <debian-science-maintainers@lists.alioth.debian.org>
Uploaders: Steve M. Robbins <smr@debian.org>
Build-Depends: debhelper (>= 7.4.12), libqt3-mt-dev, qt3-dev-tools
Standards-Version: 3.8.4.0

Package: kseg
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Sketchpad for planar Euclidean geometry
 KSEG allows you to interactively create a geometrical construction,
 similar to what you can do with a straight edge and compass.  Points
 may be inserted on the page with right mouse-button clicks, and then
 used to form segments, lines, circles, or other geometrical objects.
 At any time you can drag existing points around, and watch how the
 constructed objects respond.
