=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@

override_dh_install:
	dh_install kseg usr/bin
	dh_install debian/kseg.xpm usr/share/pixmaps
	dh_install *.qm kseg_help* usr/share/kseg
	dh_install debian/kseg.desktop usr/share/applications

override_dh_installdocs:
	dh_installdocs AUTHORS README

override_dh_installman:
	dh_installman debian/kseg.1

override_dh_installexamples:
	dh_installexamples examples/*
